Subject: bug#47315: closed (Re: bug#47315: Inkscape is missing imagemagick)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Mar 2021 14:27:02 +0000

Your bug report

#47315: Inkscape is missing imagemagick

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47315: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47315
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47315: Inkscape is missing imagemagick
From: Andreas Enge <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Mar 2021 15:26:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mon, Mar 22, 2021 at 07:16:28AM -0400 schrieb Julien Lepiller:
> I think this has already been fixed a few days ago on master. Have you tried
> pulling and upgrading inkscape again?

Indeed, closing this bug, thanks!

The discussion on grafts and version numbers is continued here:
   https://lists.gnu.org/archive/html/guix-devel/2021-03/msg00432.html

Andreas

Subject: Inkscape is missing imagemagick
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2021 11:13:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

$ guix environment --ad-hoc inkscape
[env]$ inkscape /tmp/guixtile.svg
/gnu/store/7bs616gpgnmj4g5d0g88dkphd1gqbicy-inkscape-1.0.2/bin/.inkscape-real: error while loading shared libraries: libMagickCore-6.Q16.so.6: cannot open shared object file: No such file or directory

The same happens when I add imagemagick of [email-masked] or
[email-masked] to the environment.

But maybe the older imagemagick is not even built?

$ guix build [email-masked]
/gnu/store/m794l5c82clc3xa1lkg30pr96y9a60m3-imagemagick-6.9.12-2g-doc
/gnu/store/nnw0jnxpcf5bfaxbc3c5dkw87j13bq94-imagemagick-6.9.12-2g

Notice the version mismatch!

$ guix build [email-masked]
guix build: error: imagemagick: package not found for version 6.9.11

It should work to just specify a version prefix, right?

$ guix describe
Generation 29	Mar 11 2021 12:17:47	(current)
  guix 500189b
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: 500189b4d2f1e3a2d4ee8ab73d889e3d8ac70632

This is probably due to
commit 82e887ba48c2ba91b17aa9b6b17501e3e0ef4aef
Author: Léo Le Bouter <[email-masked]>
Date:   Tue Mar 9 23:02:51 2021 +0100
    gnu: imagemagick: Update to 6.9.12-2 [security fixes].
    * gnu/packages/imagemagick.scm (imagemagick/fixed): New variable.
    (imagemagick)[replacement]: Graft.

I am not familiar with replacements, but it appears they force an update.
This should not happen together with a library soname change; effectively,
the result is a removal of the previous imagemagick package from Guix
together with the addition of an unrelated new one, that cannot replace
the previous one, but just happens to be a different program sharing the
same name.

So in this case, the only option is to upgrade the imagemagick package
and to recompile all its dependents.

Andreas